
:root {
    --theme-color-1: #2633b3;
    --theme-color-2: #fe309eb3;
    --theme-color-3: #6c90a1;
    --theme-color-4: #365573;
    --theme-color-5: #e1e85c;
    --theme-color-6: #e2e47d;
    --theme-color-1-10: rgba(20, 83, 136, 0.1);
    --theme-color-2-10: rgba(42, 147, 213, 0.1);
    --theme-color-3-10: rgba(108, 144, 161, 0.1);
    --theme-color-4-10: rgba(54, 85, 115, 0.1);
    --theme-color-5-10: rgba(71, 121, 154, 0.1);
    --theme-color-6-10: rgba(142, 149, 153, 0.1);

    --primary-color: #2633b3;
    --second-color : #2633b3 ;
    --forth-color : #103080;
    --foreground-color: white;
    --sidebar-background-color : white;
    --sidebar-text-color : #000000;
    --separator-color: #D6D9DE;

    --theme-color-ga1: #1373d4;
    --theme-color-ga1-10: #1373d41d;

    --theme-color-ga2: #e8518b;
    --theme-color-ga2-10: #e8518b15;

    --theme-color-ga3: #8f949b;
    --theme-color-ga3-10: #8f949b1d;
}

body {


    color: #03152F !important;
}

/* reign폴더로 부터 복사, 필요한 것인지 확인*/
/* width */
/*  */

.grad {
    background-image: linear-gradient(#448aca, #920783);
    background: -webkit-linear-gradient(#448aca, #920783);
}

.t-shadow {
    text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);
}

.page-title,
.mobile-page-title {
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
    line-height: 30px;
    padding-bottom: 3px;
}

@media (max-width: 575px) {
    .mobile-page-title {
        font-size: 18px;
        line-height: 20px;
    }
}

@media (max-width: 360px) {
    .mobile-page-title {
        font-size: 14px;
        line-height: 16px;
    }
}

.card-text {
    font-style: normal;
    font-weight: bold;
    font-size: 15px;
    line-height: 22px;
    /* identical to box height */
    letter-spacing: 0.05em;
    color: #5F6B7E;
  }

.congestion-text {
    display: flex;
    align-items: center;
    justify-content: center;
}

.count-font,
.zone-count-font,
.zone-congestion .people-range-mark {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    text-align: center;
    color: #03152F;
}

.range-value {
    width: auto !important;
    height: auto !important;
    min-width: 40px;
    padding: 3px !important;
    font-size: 12px !important
}

@media(max-width:360px) {
    .count-font,
    .zone-count-font,
    .zone-congestion .people-range-mark {
        font-size: 7px !important;
    }

    .people_text {
        font-size: 8px !important
    }
}

@media(max-width:575px) {
    .count-font,
    .zone-count-font,
    .zone-congestion .people-range-mark {
        font-size: 9px !important;
    }

    .people_text {
        font-size: 10px !important
    }

    .people_icon {
        max-height: 25px !important;
    }

    .range-value {
        font-size: 8px !important
    }
}


.search_select {
    color: #000;
    background: white;
    border-radius: 1rem;
}

.select2-selection__rendered {
    padding-top:3px !important;
}

.img-dashboard-log {
    background-color: #fff;
    border-radius: 1rem !important;
    object-fit: cover;
}


.realtime-user-face {
    width: 80px;
    height: 80px;
    border-radius: 0.5rem;
    object-fit: cover;
    margin-right: 0.5rem;
}

.realtime-img-dashboard-log {
    width: 100%;
    height: 80px;
    background-color: #fff;
    border-radius: 0.5rem !important;
    object-fit: cover;
}

.auth-img-dashboard-log {
    width: 100%;
    height: 90px;
    background-color: #fff;
    border-radius: 0.5rem !important;
    object-fit: cover;
}


.videolog-thumbnail-image {
    background-color: #fff;
    border-radius: 1rem !important;
    object-fit: cover;
    height: 200px !important;
}

.videolog-thumbnail-tailgating {
    background-color: #e8518b;
    top: 10px;
    left: 10px;
}

.videolog-thumbnail-username {
    background-color: #2633b3;
    top: 154px;
    left: 10px;
}

.videolog-thumbnail-regdate {
    background-color: #2633b3;
    top: 175px;
    left: 10px;
}

.videolog-thumbnail-image-list {
    display: flex;
    text-align: center;
    width: 100%;
    height: 235px;
    overflow-x: scroll;
    white-space: nowrap;
}

.videolog-thumbnail-list > * {
    display: inline-block;
}

.img-user-face {
    width: 40px;
    height: 40px;
    border-radius: 1rem;
    object-fit: cover;
}

.img-usergroup-face {
    width: 55px;
    height: 55px;
    border-radius: 50%;
    object-fit: cover;
}

.fit-cover {
    object-fit: cover;
}
.perfect-scrollbar-example {
    position: relative;
    /* height: 250px; */
    width: 100%;
    max-height: 250px;
}

.text-red {
    color: #e8518b !important;
}

.text-success {
    color: #1373d4 !important;
}

.font-weight-500 {
    font-weight: 500;
}

.font-bold {
    font-weight: bold;
}

.font-normal {
    font-weight: normal;
}

.tx-16 {
    font-size: 16px;
}

.tx-20 {
    font-size: 20px;
}

.border-radius-15p {
    border-radius: 1rem;
}

.border-green {
    border-color: #1373d4 !important;
}


.log-result {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

a > .log-result {
    height: 100%;
}

.log-value-username {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    /* line-height: 23px; */
    letter-spacing: 0.05em;
}

.log-value-branchname {
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    /* identical to box height */
    letter-spacing: 0.05em;
    color: #03152F;
}

.log-value-date {
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 13px;
    /* identical to box height, or 125% */
    display: flex;
    align-items: center;
    letter-spacing: 0.05em;
    color: #2633b3;
}

.auth-status-badge {
    font-style: normal;
    font-weight: bold;
    font-size: 13px !important;
    /* line-height: 19px; */
    /* identical to box height */

    text-align: center;
    letter-spacing: 0.1em;

    color: #FFFFFF;
    padding: 0px;
    width: 60px;
    height: 22px;
    padding-top: 0.3em !important;
    padding-bottom: 0.2em !important;

}

.auth-status-failure {
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 17px;
    /* identical to box height */

    letter-spacing: 0.05em;

    color: #e8518b;
}

.auth-log-view-button {
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 16px;
    display: flex;
    align-items: center;
    text-align: center;
    letter-spacing: 0.05em;
    padding-top: 5px !important;
    width: auto !important;
    height: 30px !important;
}

/* width */
.wd-40p {
    width: 40px !important;
}
.wd-50p {
    width: 50px !important;
}
.wd-60p {
    width: 60px !important;
}
.wd-70p {
    width: 70px !important;
}
.wd-80p {
    width: 80px !important;
}
.wd-83p {
    width: 83px !important;
}
.wd-120p {
    width: 120px !important;
}
.wd-130p {
    width: 130px !important;
}
.wd-144p {
    width: 144px !important;
}
.wd-166p {
    width: 166px !important;
}
.wd-188p {
    width: 188px !important;
}

.wd-min-20p {
    min-width: 20px !important;
}

.wd-min-1500p {
    min-width: 1500px;
}
.wd-min-1000p {
    min-width: 1000px;
}
.wd-min-600p {
    min-width: 600px;
}
/* end width */

/* height */
.ht-80p {
    height: 80px;
}
.ht-100p {
    height: 100px;
}
.ht-130p {
    height: 130px;
}

.ht-28p {
    height: 28px !important;
}

.ht-37p {
    height: 37px;
}

.ht-38p {
    height: 38px !important;
}
.ht-54p {
    height: 54px;
}
.ht-70p {
    height: 70px !important;
}
.ht-90p {
    height: 90px !important;
}
.ht-120p {
    height: 120px !important;
}
.ht-250p {
    height: 250px !important;
}

.top4-height {
    height: auto;
    max-height: 480px;
}
@media (min-width: 1200px) {
    .top4-height {
        height: 490px;
    }
}
/* end height */

@media (min-width: 300px) {
    .tx-xs-50 {
        font-size: 50px;
    }

    .wd-xs-70p {
        width:70px;
    }

    .ht-xs-70p {
        height: 70px;
    }

    .ht-xs-130p {
        height: 130px !important;
    }

    .ht-xs-160p {
        height: 160px;
    }
}

@media (min-width: 768px) {
    .tx-md-12 {
        font-size: 12px;
    }

    .tx-md-72 {
        font-size: 72px;
    }
    .ht-md-200p {
        height: 200px;
    }
    .ht-md-90p {
        height: 90px;
    }
}

/* dore css */
.search-sm {
    position: relative; }
    .search-sm input {
      outline: initial !important;
      border-radius: 15px;
      padding: 0.25rem 0.75rem 0.25rem 0.75rem;
      font-size: 0.76rem;
      height: 28px;
      line-height: 1;
      border: 1px solid #D6D9DE;
      color: #03152F;}
    .search-sm:after {
      font-family: "simple-line-icons";
      content: "\E090";
      font-size: 14px;
      color: #03152F;
      position: absolute;
      right: 10px;
      text-align: center;
      cursor: pointer;
      top: 2px; }
/* end dore css */


.td-vm {
    vertical-align: middle !important;
}


.menu-border-bottom {
    left: 0%;
    right: 0%;
    top: 6.01%;
    bottom: 93.99%;
    border: 1px solid rgba(214, 212, 212, 0.2);
}

.menu-border-top {
    left: 0%;
    right: 0%;
    /* bottom: 6.01%; */
    top: 93.99%;
    border: 1px solid rgba(255, 255, 255, 0.3);
}


.rounded {
    border-radius: 1rem !important;
    border: 1px solid #D6D9DE;
}
/*
.image-side {
    width: 40%;
    background: url("../img/plane.KRg") no-repeat center top;
    background-size: cover;
    padding: 80px 40px;
} */
/*
.swal2-popup:has(.swal2-loading) {
    width: auto !important;
    min-height: auto !important;
    padding: 2px 15px 17px 15px !important;
}

.swal2-popup .swal2-loading {
    margin: 0 !important;
} */

.swal2-modal .swal2-actions .swal2-confirm {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.05em;
    font-weight: bold;
    width: 120px;
    height: 38px
}

.logo-single {
    width: 180px;
    height: 60px;
    background: url("../img/logo-full.png") no-repeat;
    background-size: 180px;
    background-position: center center;
    display: inline-block;
    margin-bottom: 60px; }

.form-control {
    border-radius: 1rem !important;
    border: 1px solid #D6D9DE !important;
}

.img-zoom:hover {
    transform: scale(4.0, 4.0);
}

.text-basic {
    color: #03152F;
}

.icon-button {
    padding: 0;
    font-size: 14px;
    width: 34px !important;
    height: 34px !important;
    line-height: 34px; }
    .icon-button.small {
      width: 24px !important;
      height: 24px !important;
      font-size: 18px;
      line-height: 2.5; }
    .icon-button.large {
      width: 44px !important;
      height: 44px !important;
      font-size: 18px;
      line-height: 2.5; }
    .icon-button.small-icon {
      font-size: 12px;
      line-height: 32px; }

.map-icon {
    width: 70px !important;
    height: 70px !important;
    font-size: 11px;
    font-weight: bold;
    padding: .3rem;
    cursor: default;
    border-radius: 1rem;
    /* white-space: nowrap !important; */
    border: 0px;
}

.map-icon-door {
    width: 70px !important;
    /* height: 80px !important; */
    font-size: 10px;
    font-weight: bold;
    padding: .3rem;
    cursor: default;
    border-top-left-radius: 1rem !important;
    border-top-right-radius: 1rem !important;
    border-bottom-right-radius: 0rem !important;
    border-bottom-left-radius: 0rem !important;
    /* white-space: nowrap !important; */
    border: 0px;
}

.map-icon-door.door-open {
    background-color: #13D49B;
}

.map-icon-door.door-close {
    background-color: #7C899D;
}

.map-icon-door-status {
    width: 70px;
    height: 20px;
    font-size: 10px;
    font-weight: bold;
    padding: .3rem;
    cursor: default;
    border-top-left-radius: 0rem !important;
    border-top-right-radius: 0rem !important;
    border-bottom-right-radius: 1rem !important;
    border-bottom-left-radius: 1rem !important;
    white-space: nowrap !important;
    border: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.map-icon-door-status.door-open {
    color: #fff;
    background-color: #08B582;
}

.map-icon-door-status.door-close {
    color: #fff;
    background-color: #5F6B7E;
}

.map-item {
    color: #fff;
    margin-right: 1rem;
    margin-bottom: 0.5rem;
}

.map-item:hover {
    color: #fff;
}

.map-item-door {
    background: linear-gradient(to right, #13D49B, #69d3b3);
    border-color: linear-gradient(to right, #13D49B, #69d3b3);
}

.map-item-door:hover {
    background: linear-gradient(to right, #13D49B, #13D49B);
    border-color: #13D49B;
}

.map-item-device {
    background: linear-gradient(to right, #0F4C81, #0F4C81);
    border-color: linear-gradient(to right, #0F4C81, #0F4C81);
}

.map-item-device:hover {
    background: linear-gradient(to right, #0F4C81, #0F4C81);
    border-color: #0F4C81;
}

.map-item-agent {
    background: linear-gradient(to right, #7870FF, #817bfd);
    border-color: linear-gradient(to right, #7870FF, #817bfd);
}

.map-item-agent:hover {
    background: linear-gradient(to right, #7870FF, #7870FF);
    border-color: #7870FF;
}

.map-item-camera {
    background: linear-gradient(to right, #BD7B4D, #bd8259);
    border-color: linear-gradient(to right, #BD7B4D, #bd8259);
}

.map-item-camera:hover {
    background: linear-gradient(to right, #BD7B4D, #BD7B4D);
    border-color: #BD7B4D;
}

.map-item-disabled {
    background-color: #99A1AD;
    border-color: #99A1AD;
}


.btn.btn-green.map-icon:hover {
    color: #fff;
}

.btn.btn-primary.map-icon,
.btn.btn-secondary.map-icon,
.btn.btn-green.map-icon {
    display: inline-block !important;
    font-size: 10px !important;
    font-weight: bold !important;
    letter-spacing: 0rem !important;
    margin-bottom: 0.5rem !important;
    margin-left: 0.5rem !important;
    margin-right: 0.5rem !important;
}

.btn.btn-primary.map-icon:hover {
    color: #fff;
}

.map-icon > img {
    display: block;
    margin-bottom: 2px;
}

.drp-calendar .calendar-time {
    display: flex;
}

.card-body-schedule {
    padding: 1.5rem;
    background: #FFFFFF;
    border: 1px solid #D6D9DE;
    box-sizing: border-box;
    border-radius: 10px
}

.chart-box {
    width: 12px;
    height: 12px;
}

.bg-green {
    color: #fff;
    background-color: rgb(19, 212, 155);
}

.bg-red {
    color: #fff;
    background-color: rgb(255, 107, 95);
}

.bg-yellow {
    color: #fff;
    background-color:rgb(255, 219, 29);
}

.bg-grey {
    color: #fff;
    background-color:rgb(216, 223, 234);
}

.canvas {
    display: inline-block;
}

.canvas .map-image {
    max-width: 1100px;
    max-height: 650px;
    padding: .25rem;
    background-color: #fff;
    /* border: 1px solid #dee2e6; */
    /* border-radius: .25rem;
    box-shadow: 0 1px 2px rgba(0,0,0,.075); */
}

.acs-handle {
    position: absolute;
    height: 100%;
    width: 100%;
    cursor: move;
}


.ui-icon-close.mod {
    background-color: #a1a1a1;
    border-radius: 50%;
    color: #FFF;
}

.ui-icon-close.mod:hover {
    background-color: #555555;
    cursor: pointer;
}
.tab-pane {
    overflow: hidden;
}


.p-4-no-bottom {
    padding: 1.5rem 1.5rem 0rem 1.5rem !important;
}

.p-3-no-bottom {
    padding: 0.5rem 1.5rem 0rem 1.5rem;
}

@media (max-width: 768px) {
    .p-3-no-bottom {
        padding: 0.5rem;
    }
}

.nav-btn {
    display: flex;
    align-items: center;
    height: 28px;
    font-weight: 500;
    color: #03152F;
    background-color: #fff;
    border-color: #fff;
    border-radius: 15px !important;
    border: 1px solid #D6D9DE !important;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.05em;
}

@media (max-width: 767px) {
    .w-xs-100 {
        width: 100% !important;
    }
    .w-xs-80 {
        width: 80% !important;
    }
    .w-xs-70 {
        width: 70% !important;
    }
    .w-xs-60 {
        width: 60% !important;
    }
    .w-xs-50 {
        width: 50% !important;
    }
    .w-xs-40 {
        width: 40% !important;
    }
    .w-xs-30 {
        width: 40% !important;
    }
}

@media (max-width: 991px) {
    .w-sm-100 {
        width: 100% !important;
    }
    .w-sm-80 {
        width: 80% !important;
    }
    .w-sm-60 {
        width: 60% !important;
    }
    .w-sm-50 {
        width: 50% !important;
    }
    .w-sm-40 {
        width: 40% !important;
    }
    .w-sm-30 {
        width: 30% !important;
    }
    .w-sm-20 {
        width: 20% !important;
    }
    .w-sm-10 {
        width: 10% !important;
    }
}

.profile .thumbnail {
    position: relative;
}

.camera {
    border-radius: 1rem;
    background-color: white;
    position: absolute;
    bottom: 2px;
    right: 2px;
}

.user-profile-zoom-icon {
    border-radius: 1rem;
    background-color: white;
    position: absolute;
    bottom: 1px;
}

.input-file {
    position: absolute;
    bottom: 0px;
}

.scroll {
    margin-right: -15px;
    padding-right: 15px;
    position: relative;
    /* height: 100%; */
    overflow: hidden;
}

.people_icon {
    display:block;
    margin-left:auto;
    margin-right:auto;
    width:100%;
    height:100%;
    max-height: 40px;
}

a.disabled {
    color: gray;
    pointer-events: none;
}

.select-row {
    height:28px;
    font-style: normal;
    font-weight: 500;
    font-size: 11px !important;
    line-height: 16px;
    /* identical to box height */

    letter-spacing: 0.1em;

    color: #03152F;

    display: flex;
    align-self: center;
    align-items: center;
}

.user-form-label {
    text-align:left;
    display: flex;
    align-items: center;
    font-style: normal;
    font-size: 12px;
    font-weight: 500;
    line-height: 17px;
    letter-spacing: 0.05em;
    white-space: normal !important;
    color: #99A1AD;
}

.user-form-value {
    /* display: flex;
    align-items: center; */
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 23px;
    letter-spacing: 0.05em;
    color: #03152F;
}

input.form-control {
    height: 38px;
}

.log-date-value {
    font-style: normal;
    font-weight: 500;
    font-size: 0.875rem;
    line-height: 15px;
    display: flex;
    align-items: center;
    letter-spacing: 0.05em;
    color: #99A1AD;
}

.log-label,
.log-common-value {
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 17px;
    display: flex;
    align-items: center;
    letter-spacing: 0.1em;
    word-break: break-all;
    white-space: nowrap;
}

.log-label {
    color: #7987a1;
}

.auth-log-image {
    width: 110px;
    height: 110px;
}

.user-profile-image {
    width: 130px;
    height: 130px;
}

.user-card-image {
    width: 110px;
    height: 110px;
}

@media (max-width: 400px) {
    .auth-log-image {
        width: 90px;
        height: 90px;
    }

    .user-profile-image {
        width: 100px;
        height: 100px;
    }
}

/* width */
/* ::-webkit-scrollbar{
    width: 10px;
    height: 10px;
} */

/* Track */
/* ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
} */

/* Handle */
/* ::-webkit-scrollbar-thumb {
    background: rgb(255, 145, 0);
    border-radius: 10px;
} */

/* Handle on hover */
    /* ::-webkit-scrollbar-thumb:hover {
    background: #b39800;
} */

.day-datepicker:read-only,
.search-datepicker:read-only,
.search-timepicker:read-only,
.datetimepicker-input:read-only {
    background-color: #FFFFFF !important;
}

.swal2-label {
    font-size: 14px !important;
    color: #99A1AD !important;
    text-align: left !important;
}

.swal2-checkbox input {
    width: 20px !important;
    height: 20px !important;
}

.truncate {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.info-tooltip-color {
    color: #99A1AD;
    width: 15px;
    height: 15px;
    margin-left:0.25rem;
    cursor: pointer;
    margin-top: 3px;
}

.select-div {
    cursor: pointer;
}

.device-select {
    color: #495057;
    display: flex;
    align-items: center;
    width: 100%;
    min-height: 35px;
    border-radius: 1rem !important;
    border: 1px solid #D6D9DE !important;
    padding: .3rem .5rem .3rem 1rem;
}

.selected-image {
    vertical-align: middle;
    float: left;
    margin-right: 15px;
    max-width: 32px;
    max-height: 32px;
}

.btn-dropdown {
    font-size: 11px !important;
    text-align: center;
    height: 28px !important;
}

.btn-dropdown-title {
    font-size: 11px;
    font-weight: bold;
}

@media (min-width: 768px) {
    .btn-dropdown-title {
        font-size: 13px;
    }
}

#mobileMenuImg {
    width: 25px;
    height: 14px;
    margin-left: 0.25rem;
}

@media (min-width: 567px) {
    #mobileMenuImg {
        width: 33px;
        height: 18px;
    }
}

.sub-menu-title {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 0.25rem;
}

@media (min-width: 567px) {
    .sub-menu-title {
        font-size: 18px;
        margin-bottom: 0.5rem;
    }
}


.navbar-nav.navbar-left {
    flex-basis: 40%;
    margin-left:0px !important;
}

/* @media (max-width: 360px) {
    .navbar-nav.navbar-left {
        flex-basis: 10%;
    }
} */

@media (max-width: 480px) {
    .navbar-nav.navbar-right,
    .navbar-nav.navbar-left {
        max-width:100px;
        margin-left:0px !important;
    }
}

.list-item-heading {
    font-size: 14px;
    font-weight: 500;
}

.col-mobile {
    display: flex;
    position: relative;
    width: 100%;
}

.col-mobile-label {
    display: flex;
    position: relative;
    width: 40%;
    color: #686868;
    font-size: 13px;
}

.col-mobile-label.user-info {
    width: 30%;
}

.col-mobile-value {
    position: relative;
    width: 60%;
    font-size: 13px;
    font-weight: 400;
    word-break: break-word;
    white-space: nowrap;
}

.col-mobile-value.user-info {
    width: 70%;
}

.col-mobile-value-date {
    color: #686868;
    font-size: 13px;
    font-weight: 400;
}


@media (max-width: 360px) {
    .d-mobile-xs-none {
        display: none !important;
    }
    .d-mobile-xs-flex {
        display: flex !important;
    }
    .d-mobile-xs-block {
        display: block !important;
    }

    .col-mobile-label {
        width: 50%;
        font-size: 12px;
    }

    .col-mobile-value {
        width: 50%;
    }

    .col-mobile-value-date {
        font-size: 12px;
    }

    .pagination .page-item .page-link {
        width: 28px;
        min-width: 28px;
    }

    .btn:not(.btn-white, .nav-btn, .map-icon, .folder-button-collapse, .btn-modal-close, .rotate-icon-click) {
        /* width: auto !important; */
        height: 30px !important;
        font-size: 12px;
    }

    .icon-button {
        width: 24px !important;
        height: 24px !important;
    }

    .icon-button i {
        font-size: 0.8rem;
    }
}

.select2-selection__rendered {
    line-height: 36px !important;
}

.select2-selection {
    height: 38px !important;
    padding-left: 1rem !important;
}

.select2-container .select2-selection--single {
    display: flex;
    align-items: center;
    padding-top: 0px !important;
}


.slick .slick-slide {
    margin-left: 15px;
    margin-right: 15px;
    outline: initial !important;
    height: unset; }
    .slick .slick-slide.card {
      display: flex;
      flex-grow: 1; }
      .slick .slick-slide.card .w-50 {
        display: flex; }
      .slick .slick-slide.card .card-body {
        flex-direction: column;
        display: flex;
        justify-content: space-between; }

  .slick-list {
    display: flex; }

  .slick-track {
    /* padding-bottom: 20px; */
    display: flex; }

  @media (max-width: 991px) {
    .carousel-center-col {
      padding-left: 0;
      padding-right: 0; } }

  .slick-dots {
    list-style: none;
    padding: 0; }
    .slick-dots li {
      display: inline-block; }


.slider-nav {
    text-align: center; }
    .slider-nav .left-arrow,
    .slider-nav .right-arrow {
      padding-top: 7px;
      font-size: 20px;
      color: #0F4C81;
      display: inline-block;
      vertical-align: middle;
      margin: 0 5px;
      border: initial;
      position: initial;
      transform: initial;
      top: initial;
      left: initial;
      right: initial;
      padding-left: 5px;
      padding-right: 5px; }
    .slider-nav .glide__arrow {
      padding-top: 10px; }
    .slider-nav .slider-dot-container {
      display: inline-block;
      position: initial;
      text-align: center;
      transform: initial;
      left: initial; }
    .slider-nav .btn:hover, .slider-nav .btn:focus, .slider-nav .btn:active {
      text-decoration: initial; }


  .slider-nav .slider-dot-container {
    display: inline-block; }

  .slick-dot {
    width: 6px;
    height: 6px;
    border-radius: 10px;
    background: #cccccc;
    outline: initial !important;
    border: initial;
    margin: 0 5px;
    padding: 0; }

  .slick-dots li.slick-active button {
    background: #0F4C81; }

.btn-outline-secondary-rounded {
    color: #7987a1;
    border-color: #7987a1;
    border-radius: 1rem !important;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 28px;
    font-size: 11px;
}

.form-control:read-only {
    cursor: default;
}

.sync-button.disabled,
/* .delete-button.disabled, */
.restore-button.disabled,
.doorcontrol-button.disabled,
.devicecontrol-button.disabled {
  color: #ccc;
}


.footer-modal-button.text-red {
    color: #e8518b;
}

.footer-modal-button.text-red.disabled {
    color: #ccc !important;
}

.vertical-center {
    display: flex;
    align-items: center;
}

.bg-disabled {
    background-color: #eee !important;
    border: 1px solid #ccc;
}

.auth-mode-table {
    background: #F3F3F6;
    border: 1px solid #D6D9DE;
    padding: 0.75rem 1.25rem;
    min-height: 50px;

    font-family: 'Noto Sans KR';
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 19px;
    letter-spacing: 0.05em;
}

/* -- Sensor 관련 CSS 추가, 2021. 10. 21. by reign */
.sensor-card {
    display: flex !important;
    flex-wrap: nowrap !important;
}

@media (max-width: 575px) {
    .sensor-card {
        flex-wrap: wrap !important;
    }
}

@media (max-width: 360px) {
    .sensor-card {
        flex-wrap: wrap !important;
    }
}

.sensor-info{
    min-width: 60px;
}

.sensor-text {
    display: flex;
    align-items: center;
    justify-content: center;
}

.sensor-badge {
    /* margin-top: 0.5rem !important; */
    padding: 0.5rem !important;
    /* margin-bottom: 1rem !important; */
    /* min-width: 120px; */
    width: auto;
    text-align:center;
}


input[type="radio"].btn-check,
input[type="checkbox"].btn-check {
    display: none;
}

.noHover:hover {
    background-color: transparent;
}

input[type="radio"]:checked+label,
input[type="checkbox"]:checked+label {
    color: var(--primary-color);
    border-color: var(--primary-color);
    font-weight: bold !important;
}

label.btn-check:not(:checked) {
    background: #fff;
    color: var(--primary-color);
}
.btn-selected {
    font-size: 12px;
    font-weight: 400 !important;
    width: auto !important;
    height: auto !important;
    border-radius: 3px !important;
}

.search-datepicker {
    padding: 0% !important;
    text-align: center;
    border-radius: 4px !important;
    border-color: #686868 !important;
    font-size: 12px !important;
    height: 24px !important;
}

.search-input {
    border-radius: 0 !important;
}

.search-label {
    font-size: 13px;
    font-weight: 500;
    margin-bottom: 0% !important;
    padding-bottom: 3px;
}

.search-label-horizontal {
    margin-bottom: 0% !important;
}

.p-0-side {
    padding-left: 0% !important;
    padding-right: 0% !important;
}

.badge.badge-pill:not(.auth-status-badge) {
    padding-top: 0.4em !important;
    padding-bottom: 0.4em !important;
}

.badge.badge-pill.realtime-door-status {
    height: 20px;
    border-radius: 0.3rem;
    padding-top: 0.5em !important;
    padding-left: 0.4em !important;
    padding-right: 0.4em !important;
}

.badge.badge-pill.videolog-thumbnail-username,
.badge.badge-pill.videolog-thumbnail-regdate {
    padding-left: 0.6em !important;
    padding-right: 0.6em !important;
}

.badge.badge-pill.otp-status-badge {
    padding-top: 0.5em !important;
    padding-left: 1.2em !important;
    padding-right: 1.2em !important;
    margin-right: 1em;
}

.prev-page-title {
    color: var(--primary-color);
    font-size: 14px;
    font-weight: bold;
    padding-bottom: 1px;
    margin-right: 1rem;
}

.swal2-icon.swal2-warning {
    border-color: #e8518b !important;
    color: #e8518b !important;
}

button.swal2-cancel:hover {
    background-color: #e8518b !important;
}

.break-spaces {
    white-space: break-spaces
}

.user-column-with-icon {
    display: flex;
    align-items: center;
    white-space: break-word;
    word-break: break-all;
    font-size: 13px;
    font-weight: 400;
}

.device-card-height {
    height: 130px;
}

@media (min-width: 264px) {
    .device-card-height {
        height: 140px;
    }
}

@media (min-width: 360px) {
    .device-card-height {
        height: 130px;
    }
}

.imglog-loader {
    margin-top: -45px;
    margin-left: 40px;
    font-size: 7px;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load5 1.1s infinite ease;
    animation: load5 1.1s infinite ease;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}

.videolog-loader {
    margin-top: -100px;
    margin-left: 170px;
    font-size: 10px;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load5 1.1s infinite ease;
    animation: load5 1.1s infinite ease;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}

.union-loader-position {
    margin-left: 55px !important;
}

@-webkit-keyframes load5 {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #145388, 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.5), -1.8em -1.8em 0 0em rgba(20,83,136, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.7), 1.8em -1.8em 0 0em #145388, 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.5), 1.8em -1.8em 0 0em rgba(20,83,136, 0.7), 2.5em 0em 0 0em #145388, 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.5), 2.5em 0em 0 0em rgba(20,83,136, 0.7), 1.75em 1.75em 0 0em #145388, 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.5), 1.75em 1.75em 0 0em rgba(20,83,136, 0.7), 0em 2.5em 0 0em #145388, -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.5), 0em 2.5em 0 0em rgba(20,83,136, 0.7), -1.8em 1.8em 0 0em #145388, -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.5), -1.8em 1.8em 0 0em rgba(20,83,136, 0.7), -2.6em 0em 0 0em #145388, -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.5), -2.6em 0em 0 0em rgba(20,83,136, 0.7), -1.8em -1.8em 0 0em #145388;
  }
}

@keyframes load5 {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #145388, 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.5), -1.8em -1.8em 0 0em rgba(20,83,136, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.7), 1.8em -1.8em 0 0em #145388, 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.5), 1.8em -1.8em 0 0em rgba(20,83,136, 0.7), 2.5em 0em 0 0em #145388, 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.5), 2.5em 0em 0 0em rgba(20,83,136, 0.7), 1.75em 1.75em 0 0em #145388, 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.5), 1.75em 1.75em 0 0em rgba(20,83,136, 0.7), 0em 2.5em 0 0em #145388, -1.8em 1.8em 0 0em rgba(20,83,136, 0.2), -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.5), 0em 2.5em 0 0em rgba(20,83,136, 0.7), -1.8em 1.8em 0 0em #145388, -2.6em 0em 0 0em rgba(20,83,136, 0.2), -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.5), -1.8em 1.8em 0 0em rgba(20,83,136, 0.7), -2.6em 0em 0 0em #145388, -1.8em -1.8em 0 0em rgba(20,83,136, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(20,83,136, 0.2), 1.8em -1.8em 0 0em rgba(20,83,136, 0.2), 2.5em 0em 0 0em rgba(20,83,136, 0.2), 1.75em 1.75em 0 0em rgba(20,83,136, 0.2), 0em 2.5em 0 0em rgba(20,83,136, 0.2), -1.8em 1.8em 0 0em rgba(20,83,136, 0.5), -2.6em 0em 0 0em rgba(20,83,136, 0.7), -1.8em -1.8em 0 0em #145388;
  }
}


.badge {
    padding: 0.6em 0.75em;
    font-size: 74%; }
    .badge.badge-pill {
      padding-right: 1.25em;
      padding-left: 1.25em; }
    .badge.badge-top-left {
      top: 10px;
      left: -7px; }
    .badge.badge-top-left-2 {
      top: 40px;
      left: -7px; }


.device-image-sqaure {
    height: 200px;
}

.device-image-rectangle {
    height: 250px;
}

@media (max-width:1199px) {
    .device-image-sqaure {
        height: 150px;
    }

    .device-image-rectangle {
        height: 170px;
    }
}

@media (max-width:767px) {
    .device-image-sqaure {
        height: 130px;
    }

    .device-image-rectangle {
        height: 150px;
    }
}

@media (max-width:450px) {
    .device-image-sqaure {
        height: 100px;
    }

    .device-image-rectangle {
        height: 120px;
    }

    .device-map {
        width: 100%;
        height: 120px;
    }
}
